# DataExchange
TKXCAFSchema
PXCAFDoc

# PXCAFDoc_Location Class Reference

`#include <PXCAFDoc_Location.hxx>`

## Public Member Functions

Standard_EXPORT | PXCAFDoc_Location ()
Standard_EXPORT | PXCAFDoc_Location (const PTopLoc_Location &Loc)
Standard_EXPORT void | Set (const PTopLoc_Location &Loc)
Standard_EXPORT PTopLoc_Location | Get () const
| PXCAFDoc_Location (const Storage_stCONSTclCOM &a)
const PTopLoc_Location & | _CSFDB_GetPXCAFDoc_LocationmyPLocation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

PTopLoc_Location | myPLocation

## Constructor & Destructor Documentation

Standard_EXPORT PXCAFDoc_Location::PXCAFDoc_Location | ( |  | ) |

Standard_EXPORT PXCAFDoc_Location::PXCAFDoc_Location | ( | const PTopLoc_Location & | Loc | ) |

PXCAFDoc_Location::PXCAFDoc_Location | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PTopLoc_Location& PXCAFDoc_Location::_CSFDB_GetPXCAFDoc_LocationmyPLocation | ( |  | ) | const`[inline]`

Standard_EXPORT PTopLoc_Location PXCAFDoc_Location::Get | ( |  | ) | const

Standard_EXPORT const PXCAFDoc_Location::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void PXCAFDoc_Location::Set | ( | const PTopLoc_Location & | Loc | ) |

## Field Documentation

PTopLoc_Location PXCAFDoc_Location::myPLocation `[private]`

The documentation for this class was generated from the following file:

- PXCAFDoc_Location.hxx